package com.sunxung.factoring.entity.project;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 项目业主方-欠税公告
 * </p>
 *
 * @author liutao
 * @since 2023-12-15
 */
@TableName("project_owner_tax_owe_notice")
public class ProjectOwnerTaxOweNotice  {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 项目业主方审核id
     */
    @TableField("project_audit_id")
    private Long projectAuditId;

    /**
     * sop端 欠税公告明细id
     */
    @TableField("c_tax_owe_notice_data_id")
    private Long cTaxOweNoticeDataId;

    /**
     * 欠税税种
     */
    @TableField("title")
    private String title;

    /**
     * 欠税余额（元）
     */
    @TableField("amount")
    private String amount;

    /**
     * 当前新发生的欠税金额（元）
     */
    @TableField("new_amount")
    private String newAmount;

    /**
     * 发布单位
     */
    @TableField("punish_office")
    private String punishOffice;

    /**
     * 发布日期，精确到天，如“2022-01-01”
     */
    @TableField("punish_date")
    private String punishDate;

    /**
     * 欠税公告 0 否 1 是
     */
    @TableField("tax_owe_notice")
    private Integer taxOweNotice;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProjectAuditId() {
        return projectAuditId;
    }

    public void setProjectAuditId(Long projectAuditId) {
        this.projectAuditId = projectAuditId;
    }
    public Long getcTaxOweNoticeDataId() {
        return cTaxOweNoticeDataId;
    }

    public void setcTaxOweNoticeDataId(Long cTaxOweNoticeDataId) {
        this.cTaxOweNoticeDataId = cTaxOweNoticeDataId;
    }
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }
    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }
    public String getNewAmount() {
        return newAmount;
    }

    public void setNewAmount(String newAmount) {
        this.newAmount = newAmount;
    }
    public String getPunishOffice() {
        return punishOffice;
    }

    public void setPunishOffice(String punishOffice) {
        this.punishOffice = punishOffice;
    }
    public String getPunishDate() {
        return punishDate;
    }

    public void setPunishDate(String punishDate) {
        this.punishDate = punishDate;
    }
    public Integer getTaxOweNotice() {
        return taxOweNotice;
    }

    public void setTaxOweNotice(Integer taxOweNotice) {
        this.taxOweNotice = taxOweNotice;
    }

    @Override
    public String toString() {
        return "ProjectOwnerTaxOweNotice{" +
            "projectAuditId=" + projectAuditId +
            ", cTaxOweNoticeDataId=" + cTaxOweNoticeDataId +
            ", title=" + title +
            ", amount=" + amount +
            ", newAmount=" + newAmount +
            ", punishOffice=" + punishOffice +
            ", punishDate=" + punishDate +
            ", taxOweNotice=" + taxOweNotice +
        "}";
    }
}
